#
# spec file for package bodr
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bodr
Version:        10
Release:        1.11
Summary:        Blue Obelisk Data Repository
License:        CC0-1.0
Group:          System/Libraries
Url:            https://blueobelisk.github.io/datarepository.html
Source0:        https://github.com/BlueObelisk/bodr/archive/BODR-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildArch:      noarch

%description
The Blue Obelisk Data Repository lists many important chemoinformatics data
such as element and isotope properties, atomic radii, etc. including
references to original literature. Developers can use this repository to make
their software interoperable.


%prep
%setup -q -n bodr-BODR-%{version}/bodr

%build
autoreconf -iv
%configure
%make_build

%install
%make_install docdir=%{_defaultdocdir}/bodr
rm %{buildroot}/%{_defaultdocdir}/bodr/COPYING

%files
%license COPYING
%doc %{_defaultdocdir}/%{name}
%{_datadir}/bodr
%{_datadir}/pkgconfig/bodr.pc

%changelog
* Tue Nov  5 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 10, for details see:
  https://chem-bla-ics.blogspot.com/2013/08/the-blue-obelisk-data-repositorys-10.html
- Modernized and cleaned up spec file, updated Source and URL
* Sun Jun 24 2012 scorot@free.fr
- fix build on SLE 11
* Wed Oct  5 2011 lars@linux-schulserver.de
- update to bodr version 9:
  + Added IUPAC accept name for element 112
  + Updates mass of H2 to current value from webelements.com
* Mon Sep 22 2008 lars@linux-schulserver.de
- moved to Education base repository
* Thu Mar 20 2008 lars@linux-schulserver.de
- initial version 8
